Bug 136931 - yum crashes in rescue mode
yum crashes in rescue mode
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-23 08:59 EDT by Benny Amorsen
Modified: 2014-01-21 17:50 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-30 00:51:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Traceback from crashed yum (2.06 KB, text/plain)
2004-10-23 09:00 EDT, Benny Amorsen
no flags Details

  None (edit)
Description Benny Amorsen 2004-10-23 08:59:35 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041012
Firefox/0.10.1

Description of problem:
When going into rescue mode, doing chroot /mnt/sysimage, and trying to
use yum, I get a crash with a traceback

Version-Release number of selected component (if applicable):
yum-2.1.10-3

How reproducible:
Sometimes

Steps to Reproduce:
1. Boot into rescue mode
2. chroot /mnt/sysimage
3. yum -y install gcc
    

Actual Results:  Traceback

Expected Results:  Installation of gcc

Additional info:

Traceback attached
Comment 1 Benny Amorsen 2004-10-23 09:00:32 EDT
Created attachment 105691 [details]
Traceback from crashed yum
Comment 2 Seth Vidal 2004-10-25 00:14:12 EDT
Do you have a proxy set?
Comment 3 Benny Amorsen 2004-10-25 15:08:28 EDT
No proxy.
Comment 4 Seth Vidal 2004-10-26 01:00:09 EDT
That's very odd. The traceback implies one.

Comment 5 Benny Amorsen 2004-10-26 13:31:25 EDT
Sorry for giving you wrong information. Obviously my memory must be
going. I was a bit preoccupied with trying to find a way to get things
working on a system affected by
http://bugme.osdl.org/show_bug.cgi?id=3352 at the time.

Unfortunately the only .bash_history I have from the event shows the
things I did on console 2, and there's nothing about proxy or yum
there, so the yum stuff was done on console 1.

Anyway, the proxy in use would be set by: export
http_proxy=172.31.5.11:3128. I am not sure whether it was actually set
like that at the time. Feel free to close the bug if this report is
just too vague.
Comment 6 Seth Vidal 2004-11-30 00:51:19 EST
Closing this as worksforme, refile if you can recreate it.

thanks

Note You need to log in before you can comment on or make changes to this bug.